PROC FORMAT ;
  VALUE montants
    LOW -<100 = "< 100 euros"
    100-<500 = "100-500 euros"
    OTHER      = ">= 500 euros"
  ;
RUN ;
PROC SORT DATA=livre.sin
           OUT=work.sin ;
  BY montant dtSurSin ;
RUN ;
PROC PRINT DATA=work.sin LABEL NOOBS ;
  VAR contrat dtSurSin ;
  BY montant ;
  FORMAT montant montants.
         dtSurSin YEAR4. ;
RUN ;
