PROC FORMAT ;
  VALUE $categ
    "a","A" = "Dossier non clos"
    "b","B" = "Dossier clos en moins d'1 mois et montant < 1000 euros"
    "c","C" = "Dossier clos en moins d'1 mois et montant >=1000 euros"
    "d","D" = "Dossier clos en moins d'1 an"	
	"e","E" = "Dossier clos en plus d'1 an"
  ;
RUN ;
PROC SQL ;
  SELECT contrat,noSin,dtOuver,dtClot,montant,
         CASE
          WHEN (MISSING(dtClot))                        THEN "A" 
          WHEN (YRDIF(dtOuver, dtClot, "ACT/ACT")<1/12
                 AND montant < 1000)                    THEN "B" 
          WHEN (YRDIF(dtOuver, dtClot, "ACT/ACT")<1/12) THEN "C" 
          WHEN (YRDIF(dtOuver, dtClot, "ACT/ACT")<1)    THEN "D" 
          ELSE                                               "E" 
         END AS categorie LABEL  = "Dlai de traitement du dossier"
                          LENGTH = 1 FORMAT = $categ. 
  FROM livre.sin ;
QUIT ;
