DATA work.co2 ;
  INFILE "e:\livre\donnees\voitures_separateur_tab.txt"
         DLM="09"x DSD MISSOVER FIRSTOBS=2 ;
  INPUT marque       :$30.
        modele       :$30.
        puissance
        co2
        typeVehicule :$15.
        dateAchat    :DDMMYY10.
  ;
  ATTRIB marque    LABEL="Marque du vhicule"      LENGTH=$ 30
         modele    LABEL="Modle prcis"           LENGTH=$ 30
		 puissance LABEL="Puissance fiscale (CV)"  LENGTH=3
		 co2       LABEL="Emissions CO2 (g/km)"    LENGTH=4
		 typeVehicule LABEL="Type de carrosserie"  LENGTH=$ 15
		 dateAchat LABEL="Date de l'achat"         LENGTH=4 FORMAT=DDMMYY10.
  ;
RUN ;
