DATA work.co2 ;
  INFILE "e:\livre\donnees\voitures_colonnes.txt" FIRSTOBS=2 ;
  INPUT @1  marque       $15.
        @15 modele       $20.
        @39 puissance     2.
        @44 co2          NUMX5.
        @51 typeVehicule $10.
        @65 dateAchat    DDMMYY10. ;
  ATTRIB marque    LABEL="Marque du vhicule"      LENGTH=$ 15
         modele    LABEL="Modle prcis"           LENGTH=$ 20
         puissance LABEL="Puissance fiscale (CV)"  LENGTH=3
         co2       LABEL="Emissions CO2 (g/km)"    LENGTH=4
         typeVehicule LABEL="Type de carrosserie"  LENGTH=$ 10
         dateAchat LABEL="Date de l'achat"         LENGTH=4 FORMAT=DDMMYY10. ;
RUN ;
