%MACRO nuageDePoints (table,varX,varY) ;
 PROC SQL NOPRINT ;
  SELECT MEAN(&varY) FORMAT=12.2 INTO : moyenne
  FROM &table
  ;
 QUIT ;
 PROC SGPLOT DATA=&table ;
  SCATTER X=&varX Y=&varY ;
  REFLINE &moyenne / AXIS=Y ;
  INSET "Moyenne de &varY = %CMPRES(&moyenne) euros" / POSITION=TOPLEFT ;
 RUN ;
%MEND nuageDePoints ;
/* appel au macro-programme : */
%nuageDePoints (livre.sin, dtSurSin, montant) ;
