%MACRO nuageDePoints (table,varX,varY,condition=) ;
 PROC SQL NOPRINT ;
  SELECT MEAN(&varY) FORMAT=12.2 INTO : moyenne
  FROM &table
  %IF %BQUOTE(&condition) NE  %THEN %DO ;
  WHERE &condition
  %END ;
  ;
 QUIT ;
  %IF %BQUOTE(&condition) NE  %THEN %DO ;
     TITLE1 &condition ;
  %END ;
  %ELSE %DO ;
     TITLE1 "Sans restriction sur les donnes" ;
  %END ;
 PROC SGPLOT DATA=&table 
		     %IF %BQUOTE(&condition) NE  %THEN %DO ;
                 (WHERE=(&condition)) 
			 %END ;
  ;
  SCATTER X=&varX Y=&varY ;
  REFLINE &moyenne / AXIS=Y ;
  INSET "Moyenne de &varY = %CMPRES(&moyenne) euros" / POSITION=TOPLEFT ;
 RUN ;
 TITLE ;
%MEND nuageDePoints ;
/* appels au macro-programme : */
%nuageDePoints (table=livre.sin, varX=dtSurSin, varY=montant, 
                condition=YEAR(dtSurSin) = 2009) ;
%nuageDePoints (table=livre.sin, varX=dtSurSin, varY=montant) ;
