PROC SORT DATA=livre.auto4r (KEEP=contrat debut_police prime)
           OUT=work.auto ;
  BY contrat ;
RUN ;
PROC SORT DATA=livre.sin (KEEP=contrat dtSurSin montant
                         WHERE=(montant > 500))
           OUT=work.sin500 ;
  BY contrat ;
RUN ;
DATA work.contrats_sin500 ;
  MERGE work.auto (IN=dans_contrats)
        work.sin500 (IN=dans_sinistres) 
  ;
  BY contrat ;
  IF dans_contrats AND dans_sinistres THEN OUTPUT ;
RUN ;
